> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/docs-beta/classes/checkpoints.md).

# Checkpoints

Handles all Asset Checkpoints related functionality

## Hierarchy

* Namespace‹[Asset](/polymesh-sdk-api-reference/docs-beta/classes/asset.md)›

  ↳ **Checkpoints**

## Index

### Properties

* [context](#protected-context)
* [parent](#protected-parent)
* [schedules](#schedules)

### Methods

* [create](#create)
* [get](#get)
* [getOne](#getone)

## Properties

### `Protected` context

• **context**: *Context*

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:11*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Namespace.ts#L11)

***

### `Protected` parent

• **parent**: [*Asset*](/polymesh-sdk-api-reference/docs-beta/classes/asset.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:9*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Namespace.ts#L9)

***

### schedules

• **schedules**: [*Schedules*](/polymesh-sdk-api-reference/docs-beta/classes/schedules.md)

*Defined in* [*src/api/entities/Asset/Checkpoints/index.ts:29*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/Checkpoints/index.ts#L29)

## Methods

### create

▸ **create**(`opts?`: [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-beta/classes/transactionqueue.md)*‹*[*Checkpoint*](/polymesh-sdk-api-reference/docs-beta/classes/checkpoint.md)*››*

*Defined in* [*src/api/entities/Asset/Checkpoints/index.ts:53*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/Checkpoints/index.ts#L53)

Create a snapshot of Asset Holders and their respective balances at this moment

**`note`** this method is of type [NoArgsProcedureMethod](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/noargsproceduremethod.md), which means you can call [create.checkAuthorization](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/noargsproceduremethod.md#checkauthorization) on it to see whether the signing Account and Identity have the required roles and permissions to run it

**Parameters:**

| Name    | Type                                                                                                             |
| ------- | ---------------------------------------------------------------------------------------------------------------- |
| `opts?` | [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/procedureopts.md) |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-beta/classes/transactionqueue.md)*‹*[*Checkpoint*](/polymesh-sdk-api-reference/docs-beta/classes/checkpoint.md)*››*

***

### get

▸ **get**(`paginationOpts?`: [PaginationOptions](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/paginationoptions.md)): *Promise‹*[*ResultSet*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/resultset.md)*‹*[*CheckpointWithData*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/checkpointwithdata.md)*››*

*Defined in* [*src/api/entities/Asset/Checkpoints/index.ts:87*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/Checkpoints/index.ts#L87)

Retrieve all Checkpoints created on this Asset, together with their corresponding creation Date and Total Supply

**`note`** supports pagination

**Parameters:**

| Name              | Type                                                                                                                     |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------ |
| `paginationOpts?` | [PaginationOptions](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/paginationoptions.md) |

**Returns:** *Promise‹*[*ResultSet*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/resultset.md)*‹*[*CheckpointWithData*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/checkpointwithdata.md)*››*

***

### getOne

▸ **getOne**(`args`: object): *Promise‹*[*Checkpoint*](/polymesh-sdk-api-reference/docs-beta/classes/checkpoint.md)*›*

*Defined in* [*src/api/entities/Asset/Checkpoints/index.ts:62*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/Checkpoints/index.ts#L62)

Retrieve a single Checkpoint for this Asset by its ID

**`throws`** if there is no Checkpoint with the passed ID

**Parameters:**

▪ **args**: *object*

| Name | Type      |
| ---- | --------- |
| `id` | BigNumber |

**Returns:** *Promise‹*[*Checkpoint*](/polymesh-sdk-api-reference/docs-beta/classes/checkpoint.md)*›*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-beta/classes/checkpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
